#include <iostream>  
using namespace std;

void doubler(int &x)
{
	cout << "\tx = " << x << endl;
	x = x * 2;
	// now x is twice what it had been */
	cout << "\tx = " << x << endl;
}


void swap_pair(int &a, int &b); // This is a forward declaration


void sort_pair(int &f, int &s)
{
	if (f <= s) 
		return;
	swap_pair(f, s);
}

void swap_pair(int &a, int &b) // This is the function definition
{
	int hold = a; // hold is needed to not lose a value en route
	a = b;
	b = hold;

}

int main()  // function were execution begins
{
	int n;
	cout << "Input a number: " << endl;
	cin >> n;

	cout << "n = " << n << endl;
	doubler(n);
	
	// Neither of these will compile:
	//const int t = 5;
	//doubler(t);
	// or
	//doubler(5);
	
	cout << "n = " << n << endl;

	cout << "Input a number, again: " << endl;
	cin >> n;
	int m;
	cout << "Input another: " << endl;
	cin >> m;

	cout << "Before: n = " << n << " m = " << m << endl;
	sort_pair(n, m);
	cout << "After: n = " << n << " m = " << m << endl;

	return 0; // returning zero from main() indicates success
}




